/*
 * Licensed Materials - Property of IBM
 * pidnumber
 * (C) Copyright IBM Corporation 2005. All Rights Reserved.
 * US Government Users Restricted Rights- Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.j2ca.sample.twineball.mocks;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Iterator;
import java.util.List;

import javax.resource.ResourceException;

import com.ibm.j2ca.base.AdapterBOUtil;
import com.ibm.j2ca.base.TypeFactory;
import com.ibm.j2ca.base.exceptions.BusinessObjectDefinitionNotFoundException;
import com.ibm.j2ca.sample.twineball.emd.StringCaseChanger;
import commonj.sdo.ChangeSummary;
import commonj.sdo.DataObject;
import commonj.sdo.Property;
import commonj.sdo.Type;
//Uncomment for SDO2
//import commonj.sdo.helper.XSDHelper;

public class SDOBuilder {

	
	public static void loadSchemas()throws Exception{
		if (TypeFactory.getSDOV2Flag()){
			TwineBallSchemaHelper.loadSchemas();
		}
		
	}
	
	public static class TwineBallSchemaHelper {

		private static String[] schemas = {"TwineBallASI.xsd", "Customer.xsd", "Address.xsd"};
		
		public static void loadSchemas() throws IOException{
			for (int i=0;i<schemas.length;i++){
				File file = new File("./" +schemas[i]);
				FileInputStream fis = new FileInputStream(file);
				System.out.println("loading" + schemas[i]);
				//Uncomment for SDO2
				//XSDHelper.INSTANCE.define(fis, null);
				fis.close();
			}
		}
	}
	
	
	
}